<!--
 Copyright (C) 2024 bAvenir

 This program and the accompanying materials are made
 available under the terms of the Eclipse Public License 2.0
 which is available at https://www.eclipse.org/legal/epl-2.0/

 SPDX-License-Identifier: EPL-2.0
-->

<div class="flex items-center gap-2 hover:bg-whitesmoke cursor-pointer h-full w-fit px-4" (click)="openProfile($event)">
  <i class="fa fa-user" style="font-size: 0.9rem"></i>
  <div *ngIf="isLoggedIn; else offline">
    <ng-container *ngLet="user$ | async as user">
      <div>{{ user?.givenName }} {{ user?.familyName | surnameShort }}</div>
      <app-top-panel [(visible)]="profileVisible" [marginRight]="0"> <app-profile *ngIf="user" [user]="user"> </app-profile> </app-top-panel
    ></ng-container>
  </div>
  <ng-template #offline>
    <ng-container *ngLet="basicAuth$ | async as basicAuth">
      <ng-container *ngIf="basicAuth">
        <div>{{ basicAuth.username }}</div>
        <app-top-panel [marginRight]="0" [(visible)]="profileVisible">
          <app-profile [basicAuth]="basicAuth"> </app-profile>
        </app-top-panel>
      </ng-container>
    </ng-container>
  </ng-template>
  <i class="pi pi-chevron-down" style="font-size: 1rem"></i>
</div>
